=== modified file 'mysys/my_alloc.c'
--- mysys/my_alloc.c	2008-06-25 05:29:13 +0000
+++ mysys/my_alloc.c	2008-07-17 21:21:21 +0000
@@ -46,9 +46,6 @@
 void init_alloc_root(MEM_ROOT *mem_root, size_t block_size,
 		     size_t pre_alloc_size __attribute__((unused)))
 {
-  DBUG_ENTER("init_alloc_root");
-  DBUG_PRINT("enter",("root: 0x%lx", (long) mem_root));
-
   mem_root->free= mem_root->used= mem_root->pre_alloc= 0;
   mem_root->min_malloc= 32;
   mem_root->block_size= block_size - ALLOC_ROOT_MIN_BLOCK_SIZE;
@@ -69,7 +66,7 @@
     }
   }
 #endif
-  DBUG_VOID_RETURN;
+  return;
 }
 
 
@@ -93,7 +90,7 @@
 void reset_root_defaults(MEM_ROOT *mem_root, size_t block_size,
                          size_t pre_alloc_size __attribute__((unused)))
 {
-  DBUG_ASSERT(alloc_root_inited(mem_root));
+  assert(alloc_root_inited(mem_root));
 
   mem_root->block_size= block_size - ALLOC_ROOT_MIN_BLOCK_SIZE;
 #if !(defined(HAVE_purify) && defined(EXTRA_DEBUG))
@@ -149,32 +146,26 @@
 {
 #if defined(HAVE_purify) && defined(EXTRA_DEBUG)
   register USED_MEM *next;
-  DBUG_ENTER("alloc_root");
-  DBUG_PRINT("enter",("root: 0x%lx", (long) mem_root));
 
-  DBUG_ASSERT(alloc_root_inited(mem_root));
+  assert(alloc_root_inited(mem_root));
 
   length+=ALIGN_SIZE(sizeof(USED_MEM));
   if (!(next = (USED_MEM*) my_malloc(length,MYF(MY_WME | ME_FATALERROR))))
   {
     if (mem_root->error_handler)
       (*mem_root->error_handler)();
-    DBUG_RETURN((uchar*) 0);			/* purecov: inspected */
+    return((uchar*) 0);			/* purecov: inspected */
   }
   next->next= mem_root->used;
   next->size= length;
   mem_root->used= next;
-  DBUG_PRINT("exit",("ptr: 0x%lx", (long) (((char*) next)+
-                                           ALIGN_SIZE(sizeof(USED_MEM)))));
-  DBUG_RETURN((uchar*) (((char*) next)+ALIGN_SIZE(sizeof(USED_MEM))));
+  return((uchar*) (((char*) next)+ALIGN_SIZE(sizeof(USED_MEM))));
 #else
   size_t get_size, block_size;
   uchar* point;
   register USED_MEM *next= 0;
   register USED_MEM **prev;
-  DBUG_ENTER("alloc_root");
-  DBUG_PRINT("enter",("root: 0x%lx", (long) mem_root));
-  DBUG_ASSERT(alloc_root_inited(mem_root));
+  assert(alloc_root_inited(mem_root));
 
   length= ALIGN_SIZE(length);
   if ((*(prev= &mem_root->free)) != NULL)
@@ -202,7 +193,7 @@
     {
       if (mem_root->error_handler)
 	(*mem_root->error_handler)();
-      DBUG_RETURN((void*) 0);                      /* purecov: inspected */
+      return((void*) 0);                      /* purecov: inspected */
     }
     mem_root->block_num++;
     next->next= *prev;
@@ -220,8 +211,7 @@
     mem_root->used= next;
     mem_root->first_block_usage= 0;
   }
-  DBUG_PRINT("exit",("ptr: 0x%lx", (ulong) point));
-  DBUG_RETURN((void*) point);
+  return((void*) point);
 #endif
 }
 
@@ -250,7 +240,6 @@
   va_list args;
   char **ptr, *start, *res;
   size_t tot_length, length;
-  DBUG_ENTER("multi_alloc_root");
 
   va_start(args, root);
   tot_length= 0;
@@ -262,7 +251,7 @@
   va_end(args);
 
   if (!(start= (char*) alloc_root(root, tot_length)))
-    DBUG_RETURN(0);                            /* purecov: inspected */
+    return(0);                            /* purecov: inspected */
 
   va_start(args, root);
   res= start;
@@ -273,7 +262,7 @@
     res+= ALIGN_SIZE(length);
   }
   va_end(args);
-  DBUG_RETURN((void*) start);
+  return((void*) start);
 }
 
 #define TRASH_MEM(X) TRASH(((char*)(X) + ((X)->size-(X)->left)), (X)->left)
@@ -331,13 +320,11 @@
 void free_root(MEM_ROOT *root, myf MyFlags)
 {
   register USED_MEM *next,*old;
-  DBUG_ENTER("free_root");
-  DBUG_PRINT("enter",("root: 0x%lx  flags: %u", (long) root, (uint) MyFlags));
 
   if (MyFlags & MY_MARK_BLOCKS_FREE)
   {
     mark_blocks_free(root);
-    DBUG_VOID_RETURN;
+    return;
   }
   if (!(MyFlags & MY_KEEP_PREALLOC))
     root->pre_alloc=0;
@@ -364,7 +351,7 @@
   }
   root->block_num= 4;
   root->first_block_usage= 0;
-  DBUG_VOID_RETURN;
+  return;
 }
 
 /*

=== modified file 'mysys/my_compress.c'
--- mysys/my_compress.c	2008-07-13 18:27:33 +0000
+++ mysys/my_compress.c	2008-07-17 21:21:21 +0000
@@ -36,21 +36,19 @@
 
 bool my_compress(uchar *packet, size_t *len, size_t *complen)
 {
-  DBUG_ENTER("my_compress");
   if (*len < MIN_COMPRESS_LENGTH)
   {
     *complen=0;
-    DBUG_PRINT("note",("Packet too short: Not compressed"));
   }
   else
   {
     uchar *compbuf=my_compress_alloc(packet,len,complen);
     if (!compbuf)
-      DBUG_RETURN(*complen ? 0 : 1);
+      return(*complen ? 0 : 1);
     memcpy(packet,compbuf,*len);
     my_free(compbuf,MYF(MY_WME));
   }
-  DBUG_RETURN(0);
+  return(0);
 }
 
 
@@ -78,7 +76,6 @@
   {
     *complen= 0;
     my_free(compbuf, MYF(MY_WME));
-    DBUG_PRINT("note",("Packet got longer on compression; Not compressed"));
     return 0;
   }
   /* Store length of compressed packet in *len */
@@ -106,14 +103,13 @@
 bool my_uncompress(uchar *packet, size_t len, size_t *complen)
 {
   uLongf tmp_complen;
-  DBUG_ENTER("my_uncompress");
 
   if (*complen)					/* If compressed */
   {
     uchar *compbuf= (uchar *) my_malloc(*complen,MYF(MY_WME));
     int error;
     if (!compbuf)
-      DBUG_RETURN(1);				/* Not enough memory */
+      return(1);				/* Not enough memory */
 
     tmp_complen= *complen;
     error= uncompress((Bytef*) compbuf, &tmp_complen, (Bytef*) packet,
@@ -121,14 +117,13 @@
     *complen= tmp_complen;
     if (error != Z_OK)
     {						/* Probably wrong packet */
-      DBUG_PRINT("error",("Can't uncompress packet, error: %d",error));
       my_free(compbuf, MYF(MY_WME));
-      DBUG_RETURN(1);
+      return(1);
     }
     memcpy(packet, compbuf, *complen);
     my_free(compbuf, MYF(MY_WME));
   }
   else
     *complen= len;
-  DBUG_RETURN(0);
+  return(0);
 }

=== modified file 'mysys/my_copy.c'
--- mysys/my_copy.c	2008-07-13 18:27:33 +0000
+++ mysys/my_copy.c	2008-07-17 21:21:21 +0000
@@ -56,11 +56,9 @@
   File from_file,to_file;
   uchar buff[IO_SIZE];
   struct stat stat_buff,new_stat_buff;
-  DBUG_ENTER("my_copy");
-  DBUG_PRINT("my",("from %s to %s MyFlags %d", from, to, MyFlags));
 
   from_file=to_file= -1;
-  DBUG_ASSERT(!(MyFlags & (MY_FNABP | MY_NABP))); /* for my_read/my_write */
+  assert(!(MyFlags & (MY_FNABP | MY_NABP))); /* for my_read/my_write */
   if (MyFlags & MY_HOLD_ORIGINAL_MODES)		/* Copy stat if possible */
     new_file_stat= test(!stat((char*) to, &new_stat_buff));
 
@@ -88,12 +86,12 @@
     }
 
     if (my_close(from_file,MyFlags) | my_close(to_file,MyFlags))
-      DBUG_RETURN(-1);				/* Error on close */
+      return(-1);				/* Error on close */
 
     /* Copy modes if possible */
 
     if (MyFlags & MY_HOLD_ORIGINAL_MODES && !new_file_stat)
-	DBUG_RETURN(0);			/* File copyed but not stat */
+	return(0);			/* File copyed but not stat */
     VOID(chmod(to, stat_buff.st_mode & 07777)); /* Copy modes */
     VOID(chown(to, stat_buff.st_uid,stat_buff.st_gid)); /* Copy ownership */
     if (MyFlags & MY_COPYTIME)
@@ -103,7 +101,7 @@
       timep.modtime = stat_buff.st_mtime;
       VOID(utime((char*) to, &timep)); /* last accessed and modified times */
     }
-    DBUG_RETURN(0);
+    return(0);
   }
 
 err:
@@ -114,5 +112,5 @@
     /* attempt to delete the to-file we've partially written */
     VOID(my_delete(to, MyFlags));
   }
-  DBUG_RETURN(-1);
+  return(-1);
 } /* my_copy */

=== modified file 'mysys/my_create.c'
--- mysys/my_create.c	2008-06-25 05:29:13 +0000
+++ mysys/my_create.c	2008-07-17 21:21:21 +0000
@@ -32,9 +32,6 @@
 	       myf MyFlags)
 {
   int fd, rc;
-  DBUG_ENTER("my_create");
-  DBUG_PRINT("my",("Name: '%s' CreateFlags: %d  AccessFlags: %d  MyFlags: %d",
-		   FileName, CreateFlags, access_flags, MyFlags));
 
 #if !defined(NO_OPEN_3)
   fd = open((char *) FileName, access_flags | O_CREAT,
@@ -65,5 +62,5 @@
     my_errno= tmp;
   }
   
-  DBUG_RETURN(rc);
+  return(rc);
 } /* my_create */

=== modified file 'mysys/my_div.c'
--- mysys/my_div.c	2008-06-25 05:29:13 +0000
+++ mysys/my_div.c	2008-07-17 21:21:21 +0000
@@ -25,13 +25,12 @@
 
 char * my_filename(File fd)
 {
-  DBUG_ENTER("my_filename");
   if ((uint) fd >= (uint) my_file_limit)
-    DBUG_RETURN((char*) "UNKNOWN");
+    return((char*) "UNKNOWN");
   if (fd >= 0 && my_file_info[fd].type != UNOPEN)
   {
-    DBUG_RETURN(my_file_info[fd].name);
+    return(my_file_info[fd].name);
   }
   else
-    DBUG_RETURN((char*) "UNOPENED");	/* Debug message */
+    return((char*) "UNOPENED");	/* Debug message */
 }

=== modified file 'mysys/my_dup.c'
--- mysys/my_dup.c	2008-06-25 05:29:13 +0000
+++ mysys/my_dup.c	2008-07-17 21:21:21 +0000
@@ -23,11 +23,9 @@
 {
   File fd;
   const char *filename;
-  DBUG_ENTER("my_dup");
-  DBUG_PRINT("my",("file: %d  MyFlags: %d", file, MyFlags));
   fd = dup(file);
   filename= (((uint) file < my_file_limit) ?
 	     my_file_info[(int) file].name : "Unknown");
-  DBUG_RETURN(my_register_filename(fd, filename, FILE_BY_DUP,
+  return(my_register_filename(fd, filename, FILE_BY_DUP,
 				   EE_FILENOTFOUND, MyFlags));
 } /* my_open */

=== modified file 'mysys/my_handler.c'
--- mysys/my_handler.c	2008-07-13 22:45:08 +0000
+++ mysys/my_handler.c	2008-07-17 21:21:21 +0000
@@ -556,7 +556,7 @@
       break;
     case HA_KEYTYPE_END:                        /* purecov: inspected */
       /* keep compiler happy */
-      DBUG_ASSERT(0);
+      assert(0);
       break;
     }
   }

